autodataming的个人博客分享 http://blog.sciencenet.cn/u/autodataming

博文

怎么用cpanm 安装指定版本的包

已有 3832 次阅读 2015-11-18 12:18 |个人分类:Perl|系统分类:科研笔记

怎么用cpanm 安装指定版本的包
cpanm https://cpan.metacpan.org/authors/id/F/FA/FANGLY/Statistics-R-0.27.tar.gz

              cpanm Plack~1.0000                 # 1.0000 or later
              cpanm Plack~">= 1.0000, < 2.0000"  # latest of 1.xxxx

              cpanm Plack@0.9990                 # specific version. same as Plack~"== 0.9990"

------------------------------

如果安装不成功,到log文件中找到不成功的原因,不要直接否定这种方法。


比如这个:

cpanm https://cpan.metacpan.org/authors/id/F/FA/FANGLY/Statistics-R-0.27.tar.gz

第一次不成功

第二次成功了,可能是安装了R软件,就可以成功。






https://wap.sciencenet.cn/blog-950202-936288.html

上一篇:QMMM 添加H参数
下一篇:QMMM 报错 Symmetry consistency failure.

0

该博文允许注册用户评论 请点击登录 评论 (0 个评论)

数据加载中...

Archiver|手机版|科学网 ( 京ICP备07017567号-12 )

GMT+8, 2021-9-20 05:28

Powered by ScienceNet.cn

Copyright © 2007- 中国科学报社

返回顶部